// Datei: ToolTipManager.java
final class ToolTipManager
{
   private static ToolTipManager instance; 

   private ToolTipManager() 
   {
      System.out.println ("Neues Singleton erzeugt.");
   }

   public static ToolTipManager getInstance()
   {
      if (instance == null) 
      {
         instance = new ToolTipManager();         
      }
      return instance;
   }

   public void operation()
   {
      // eigentliche Funktionalitaet des Singleton
      System.out.println ("operation() aufgerufen.");
   }
}
