// Datei: IAutovermietung.java
package autovermietung.server;

import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;

@WebService (targetNamespace="autovermietung.server")
public interface IAutovermietung{

   @WebResult(name="freieFahrzeuge")
   public String[] fahrzeugeAuflisten(
      @WebParam(name="standort") String standort);

   @WebResult(name="fahrzeugID")
   public String fahrzeugReservieren(
      @WebParam(name="standort") String standort,
      @WebParam(name="fahrzeugklasse") String fahrzeugklasse);

   @WebResult(name="abholungErfolgreich")
   public boolean fahrzeugAbholen(
      @WebParam(name="fahrzeugID") String fahrzeugID);

   @WebResult(name="rueckgabeErfolgreich")
   public boolean fahrzeugZurueckgeben(
      @WebParam(name="fahrzeugID") String fahrzeugID,
      @WebParam(name="creditcardNumber") String creditCardNumber);
}
