// Datei: Registratur.java
import java.util.HashMap;
/*
 *  Die Klasse Registratur kann beliebig viele Komponenten enthalten.
 *  Jede Komponente wird durch einen String-Schluessel registriert und
 *  kann durch diesen angefordert werden.
 */

public class Registratur {

    private HashMap<String, Object> komponenten = new HashMap<String, Object>();
    private static Registratur registratur = null;

    private Registratur() {
    }

    ;

	public static Registratur getRegistratur() {
        if (registratur == null) {
            registratur = new Registratur();
        }
        return registratur;
    }

    public Object getKomponente(String komponentenBezeichnung) {
        return komponenten.get(komponentenBezeichnung);
    }

    public void registriereKomponente(String bezeichnung, Object komponente) {
        komponenten.put(bezeichnung, komponente);
    }
}
