abstract class Collection
{
   // Schablonenmethode
   final boolean contains (Object o)
   {
      while (hasMoreElements())
      {
         if (o.equals (nextElement()))
            return true;
      }
      return false;
   }
   // Einschubmethoden
   abstract protected boolean hasMoreElements();
   abstract protected Object nextElement();
}
