package Services;

// Datei: DeutschEnglischWoerterbuch.java
import java.util.HashMap;
import java.util.Map;

public class DeutschEnglischWoerterbuch implements IWoerterbuch
{
   // Woerterliste
   private static Map<String, String> woerterListe;
   // Initalisierung der Woerterliste
   
   static
   {
      woerterListe = new HashMap<String, String>();
      woerterListe.put("Hallo", "Hello");
      woerterListe.put("Auf Wiedersehen", "Goodbye");
   }

   // Uebersetzt in Englisch
   public String gibUebersetzung(String wort)
   {
      return woerterListe.get(wort);
   }

   // Uebersetzungssprache
   public String gibSprache()
   {
      return "Deutsch-Englisch";
   }
}
