// Datei: ClientSideWetterProxy.java
public class ClientSideWetterProxy
        implements IWetterDienst, ClientProxy {

    private Broker broker;
    private String response;

    public ClientSideWetterProxy(Broker broker) {
        this.broker = broker;
        System.out.println("ClientSideWetterProxy: instanziiert");
    }

    public String erfrageWetter(Tag tag) {
        byte[] anfrage = verpacken("erfrageWetter", tag);
        broker.anfrageWeiterleiten(anfrage, this);
        return response;
    }

    public void bearbeiteAntwort(byte[] antwort) {
        response = auspacken(antwort);
    }

    private byte[] verpacken(String methode, Tag tag) {
        String anfrage = "ClientWetterProxyURL;"
                + methode + ";" + tag.toString();
        return anfrage.getBytes();
    }

    private String auspacken(byte[] nachricht) {
        String[] strings = (new String(nachricht)).split(";");
        return strings[1];
    }
}