// Datei: TestBroker.java
public class TestBroker
{
   public static void main(String[] args)
   {
      // Broker, Server und Server-side Proxys erzeugen
      System.out.println 
              ("TestBroker: Broker und Dienste erzeugen");
      Broker broker = new Broker();
      new ServersideWetterDienstProxy (broker);
      new ServersideTemperaturDienstProxy (broker);

      // Client-side Proxys erzeugen
      System.out.println();
      System.out.println 
              ("TestBroker: Client-side Proxys erzeugen");
      ClientsideWetterDienstProxy cwp = 
              new ClientsideWetterDienstProxy (broker);
      ClientsideTemperaturDienstProxy ctp = 
              new ClientsideTemperaturDienstProxy (broker);

      // Client-Objekt erstellen und mit Referenzen 
      // auf die Dienste versorgen. Es werden die Referenzen
      // auf die Client-side Proxys uebergeben!
      Client anwendung = new Client();
      anwendung.injectServices (cwp, ctp);

      // Jetzt kann die Anwendung gestartet werden:
      anwendung.druckeWetterdaten();
   }
}
